%define        xlockgtkname       %{name}-gtk2

Name:          xlockmore
Version:       5.63
Release:       %mkrel 1
Summary:       An X terminal locking program
License:       BSD
Group:         Graphical desktop/Other
URL:           http://sillycycle.com/xlockmore.html
Source0:       http://sillycycle.com/xlock/%{name}-%{version}.tar.xz
Source1:       xlock.pamd
Source2:       xlockmore.desktop

Patch0:        xlockmore-5.55-soundpath.patch
Patch3:        xlockmore-5.32-include_ftgl_path.patch
Patch4:        xlockmore-5.56-pthreads.patch

Requires:      fortune-mod
Requires:      pam
Requires:      setup
BuildRequires: autoconf-archive
BuildRequires: gtk+2-devel
BuildRequires: pkgconfig(glu) 
BuildRequires: pam-devel
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(ftgl)
BuildRequires: pkgconfig(audiofile)
BuildRequires: pkgconfig(xpm)

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screen saver until you
type in your password. Install the xlockmore package if you need a
locking program to secure X sessions.


%package -n %{xlockgtkname}
Summary:       A GTK2 front-end to xlockmore
Url:           http://www.tux.org/~bagleyd/xlockmore.html
Group:         Graphical desktop/Other
License:       BSD
Requires:      xlockmore

%description -n %{xlockgtkname}
A GTK2 front-end to xlockmore.

%pre
rm -f /etc/pam.d/xlock

%prep
%setup -q
%patch0 -p1 -b .soundpath
%patch3 -p1 -b .include_ftgl_path
%patch4 -p1 -b .pthreads

sed -i -e "s,/lib,/%{_lib},g" configure



%build
autoreconf -i
export CXXFLAGS="%{optflags} `freetype-config --cflags`"
%configure2_5x \
               --without-motif \
               --with-gtk2 \
               --without-gtk \
               --enable-pam \
               --enable-syslog \
               --disable-setuid \
               --with-crypt \
               --without-rplay \
               --enable-appdefaultdir=%{_datadir}/X11/app-defaults

%make CC="gcc %ldflags" XLOCKLDFLAGS="%ldflags"




%install

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/sounds/xlockmore
mkdir -p %{buildroot}%{_datadir}/xlock
#perl -p -i -e 's/-o root//g' Makefile */Makefile
#makeinstall

install -m 755 xlock/xlock -D %{buildroot}%{_bindir}/xlock
install -m 755 xglock/xglock -D %{buildroot}%{_bindir}/xglock
install -m 644 xlock/xlock.man -D %{buildroot}%{_mandir}/man1/xlock.1
install -m 644 xlock/XLock.ad -D %{buildroot}%{_datadir}/X11/app-defaults/XLock
install -m 644 xglock/xglockrc -D %{buildroot}%{_datadir}/xlock/xglockrc

install -m 644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/pam.d/xlock
install -m 644 %{SOURCE2} -D %{buildroot}%{_datadir}/applications/xlockmore.desktop

cp sounds/*.au %{buildroot}%{_datadir}/sounds/xlockmore
rm -rf %{buildroot}%{_mandir}/xlock.1*


%files
%attr(2755,root,chkpwd) %{_bindir}/xlock
%{_mandir}/man1/xlock.1*
%config(noreplace) %{_datadir}/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/pam.d/*


%files -n %{xlockgtkname}
%{_bindir}/xglock
%{_datadir}/xlock


%changelog
* Tue Jun 02 2020 ghostbunny <ghostbunny at gmx dot de> 5.64-1pclos2020
- 5.64

* Sat Aug 24 2019 tex - 5.56-1pclos2019
- new version
